/* Telo stranky */
body {
  background-color: white;
}
/* Nadpisy */
h1.info {
  font-family: Arial; 
  font-size: 20px;
}
h1 {
  font-family: Arial; 
  font-size: 20px;
}
h2.info {
  font-family: Arial; 
  font-size: 18px;
}
h2 {
  font-family: Arial; 
  font-size: 18px;
}
h3.info {
  font-family: Arial; 
  font-size: 16px;
}
h3 {
  font-family: Arial; 
  font-size: 16px;
}
h4 {
  font-family: Arial; 
  font-size: 14px;
  margin-bottom: 5px;
}
/* Odstavce */
p.info {
  font-family: Arial; 
  font-size: 14px;
  margin-left: 10px;
  margin-right: 10px;
}
p {
  font-family: Arial; 
  font-size: 14px;
}
/* Odkazy */
a.info {
  font-family: Arial; 
  font-size: 14px;
}
a.small {
  font-family: Arial; 
  font-size: 12px;
}
a {
  font-family: Arial; 
  color: blue;
  font-size: 10px;
  text-decoration: none;
  border-bottom: dotted 1px blue;
  line-height: 1.5;
}
/* Obecne formatovani textu */
.normal {
  font-family: Arial; 
  color: #000000;
  font-size: 12px;
}
.nounderline {
  text-decoration: none;
}
.dottedunderline {
  text-decoration: none;
  border-bottom: dotted 1px #000000;
}
.leftmargin {
  margin-left: 5px;
}
/* Tabulky */
table {
  border-collapse: collapse;
  min-width: 50%;
  margin-left: auto;
  margin-right: auto;
}
th {
  font-family: Arial; 
  font-size: 14px;
  font-weight: bold; 
  background-color: #cccccc; 
  padding: 10px;
  border-bottom: 1px solid;
}
td {
  font-family: Arial; 
  font-size: 12px; 
  padding: 10px;
  border-bottom: 1px solid;
}
tr:nth-child(even) {
  background-color: #e6e6e6; 
}
/* Prostredi zdrojoveho kodu */
code {
  font-family: monospace; 
}
pre {
  display: block;
  font-family: monospace;
  font-size: 14px; 
  white-space: pre;
  padding: 10px;
  background-color: #e6f2ff;
  border: 1px dashed #99ceff;
  border-radius: 10px;
} 
/* Ramec stranky s dokumentaci */
.frame {
  border: 1px dashed #cccccc;
  border-radius: 10px;
}
/* Grid */
.zahlavi { 
  grid-area: header; 
  background-color: #5b9831;; 
  text-align: left; 
  border-radius: 10px;
}
.infoPanel { 
  grid-area: info; 
  background-color: #f1f9ec; 
  border-radius: 10px; 
}
.hlavniPanel { 
  grid-area: main; 
  background-color: #ffffff; 
  border-radius: 10px;
  margin:50px;
}
.notePanel { 
  grid-area: note; 
  background-color: #f1f9ec; 
  border-radius: 10px; 
}
.zapati { 
  grid-area: footer; 
  background-color: #5b9831;;
  border-radius: 10px;
  color: #ffffff;
}
.grid-container {
  display: grid;
  grid-template-columns: 100%;
  grid-template-rows: auto;
  grid-template-areas:
    'header'
    'info'
    'main'
    'main'
    'main'
    'note'
    'footer';
  gap: 10px;
  background-color: #ffffff;
  padding: 1% 10% 1% 10%;
}
.grid-container > div {  
  padding: 10px;
}
.main > div {  
  padding: 10px;
}
.main {
  display: grid;
  grid-template-columns: 24.5% 24.5% 24.5% 24.5%;
  grid-template-rows: auto;
  grid-template-areas:
    'main main main main'
    'main main main main'
    'main main main main';
  gap: 10px;
  background-color: #ffffff;
}

/* Vyctova prostredi */
ul.info ol.info {
  font-family: Arial; 
  font-size: 14px;
}
ul ol {
  font-family: Arial; 
  font-size: 14px;
}
li.info {
  font-family: Arial; 
  font-size: 14px;
}
li {
  font-family: Arial; 
  font-size: 14px;
}
/* Obrazky */
img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}
img.logo {
  display: block;
  margin-left: auto;
  margin-top: 10px;
  margin-right: 10px;
  width: 5%;
  float: right;
}
/* Zadavaci pole */
input[type=text], input[type=password] {
  width: 200px;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  box-sizing: border-box;
}
/* Tlacitka */
button.black {
  background-color: black;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: white 10px;
  cursor: pointer;
  width: 100px;
}
button.navi {
  background-color: #e6f2ff;
  border: solid 1px;
  border-radius: 4px;
  border-color: #808080;
  width: 25px;
  height: 25px;
}
button:hover {
  opacity: 0.75;
} 
/* Accordion */
.topaccordion {
  background-color: #ffffff;;
  color: #000000;
  cursor: pointer;
  padding: 20px;
  width: 100%;
  height: 100px;
  border: 1px dotted #000000;
  border-radius: 5px;
  text-align: left;
  outline: none;
  font-size: 16px;
  transition: 0.4s;
  margin-bottom: 5px;
  margin-top: 5px;
  position: relative;
}
.accordion {
  background-color: #ffffff;
  color: #000000;
  cursor: pointer;
  padding: 10px;
  width: 100%;
  border-radius: 5px;
  text-align: left;
  outline: none;
  font-size: 14px;
  transition: 0.4s;
  margin-bottom: 5px;
  margin-top: 5px;
  border: 1px dotted #000000;
}
.inneraccordion {
  background-color: #f1f9ec;;
  color: #000000;
  cursor: pointer;
  padding: 10px;
  width: 100%;
  border: 1px dotted #000000;
  border-radius: 5px;
  text-align: left;
  outline: none;
  font-size: 14px;
  transition: 0.4s;
  margin-bottom: 5px;
  margin-top: 5px;
}
.active {
  border: 1px solid #000000; 
}
.accordion:hover {
  text-decoration: underline; 
}
.topaccordion:hover {
  text-decoration: underline; 
}
.inneraccordion:hover {
  text-decoration: underline; 
}
.topaccpanel {
  padding: 0 10px;
  display: none;
  background-color: #ffffff;
  overflow: hidden;
  border-radius: 5px;
  margin-bottom: 5px;
}
.inneraccpanel {
  padding: 0 10px;
  display: none;
  background-color: #f1f9ec;
  overflow: hidden;
  border-radius: 5px;
  margin-bottom: 5px;
}
.accpanel {
  padding: 0 10px;
  display: none;
  background-color: #f1f9ec;
  overflow: hidden;
  border-radius: 5px;
  margin-bottom: 5px;
}
.accordion:after {
  content: '\2795'; /* Unicode character for "plus" sign (+) */
  font-size: 14px;
  color: #777;
  float: right;
  margin-left: 5px;
}
.inneraccordion:after {
  content: '\2795'; /* Unicode character for "plus" sign (+) */
  font-size: 14px;
  color: #777;
  float: right;
  margin-left: 5px;
}
.topaccordion:after {
  content: '\2795'; /* Unicode znak plus */
  font-size: 14px;
  color: #777;
  position: absolute; /* Nahrazuje float */
  top: 50%;         /* Vertikální pozicování */
  right: 20px;      /* Vzdálenost od pravého okraje, upravte dle potřeby */
  transform: translateY(-50%); /* Vycentrování vzhledem k výšce tlačítka */
}
.active:after {
  content: "\2796"; /* Unicode znak minus */
}
video.center {
  width: 75%;
  display: block;
  margin-left: auto;
  margin-right: auto;
}
.website-counter {
  float: left;
  font-family: Arial; 
  font-size: 14px;
}
hr {
  border: 1px dotted green;
  border-radius: 5px;
  width: 95%;
}
/* Styl pro modální okno */
.modal {
  display: none; 
  position: fixed; 
  z-index: 1000; 
  padding-top: 100px; 
  left: 0;
  top: 0;
  width: 100%; 
  height: 100%; 
  overflow: auto; 
  background-color: rgba(0,0,0,0.4); 
}
.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  max-width: 600px;
  position: relative;
}
.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
  cursor: pointer;
}
.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.zapati p {
  text-align: center;
}